package test;

import org.knime.core.node.ExecutionContext;
import org.knime.core.node.InvalidSettingsException;
import org.knime.core.node.NodeSettingsRO;
import org.knime.core.node.NodeSettingsWO;
import org.knime.core.node.port.PortObject;
import org.knime.core.node.port.PortObjectSpec;
import org.knime.core.node.port.PortType;
import org.knime.core.node.web.ValidationError;
import org.knime.js.core.node.AbstractWizardNodeModel;

public class BootstrapTestNodeModel extends AbstractWizardNodeModel<EmptyJsonContent, EmptyJsonContent>{

	protected BootstrapTestNodeModel() {
		super(new PortType[] {}, new PortType[] {}, "Bootstrap Test");
	}

	@Override
	public EmptyJsonContent createEmptyViewRepresentation() {
		return new EmptyJsonContent();
	}

	@Override
	public EmptyJsonContent createEmptyViewValue() {
		return new EmptyJsonContent();
	}

	@Override
	public String getJavascriptObjectID() {
		return "bootstrap.test";
	}

	@Override
	public boolean isHideInWizard() {
		return false;
	}

	@Override
	public void setHideInWizard(boolean hide) {
	}

	@Override
	public ValidationError validateViewValue(EmptyJsonContent viewContent) {
		return null;
	}

	@Override
	public void saveCurrentValue(NodeSettingsWO content) {
		
	}

	@Override
	protected PortObjectSpec[] configure(PortObjectSpec[] inSpecs) throws InvalidSettingsException {
		return new PortObjectSpec[] {};
	}
	
	@Override
	protected PortObject[] performExecute(PortObject[] inObjects, ExecutionContext exec) throws Exception {
		return new PortObject[] {};
	}

	@Override
	protected void performReset() {
		
	}

	@Override
	protected void useCurrentValueAsDefault() {
		
	}

	@Override
	protected void saveSettingsTo(NodeSettingsWO settings) {
		
	}

	@Override
	protected void validateSettings(NodeSettingsRO settings) throws InvalidSettingsException {
		
	}

	@Override
	protected void loadValidatedSettingsFrom(NodeSettingsRO settings) throws InvalidSettingsException {
		
	}

}
