package test;

import org.knime.core.node.NodeDialogPane;
import org.knime.core.node.NodeFactory;
import org.knime.core.node.NodeView;
import org.knime.core.node.wizard.WizardNodeFactoryExtension;

public class BootstrapTestNodeFactory extends NodeFactory<BootstrapTestNodeModel> implements WizardNodeFactoryExtension<BootstrapTestNodeModel, EmptyJsonContent, EmptyJsonContent>{

	@Override
	public BootstrapTestNodeModel createNodeModel() {
		return new BootstrapTestNodeModel();
	}

	@Override
	protected int getNrNodeViews() {
		return 0;
	}

	@Override
	public NodeView<BootstrapTestNodeModel> createNodeView(int viewIndex, BootstrapTestNodeModel nodeModel) {
		return null;
	}

	@Override
	protected boolean hasDialog() {
		return false;
	}

	@Override
	protected NodeDialogPane createNodeDialogPane() {
		return null;
	}

}
